class YieldsController < ApplicationController
  model_data_store(Yield)

  def create
    params = model_params
    begin
      resp = RxModule::Communicator.call_module_method_as_module('rx_data', "/api/eer_yields", :post, {yield: params})
      render status: status, json: {response: resp}
    rescue => err
      render status: :internal_server_error, json: {error: "unexpected error.", details: err}
    end
  end

  def yield_exists
    params = model_params
    begin
      resp = RxModule::Communicator.call_module_method_as_module('rx_data', "/api/eer_yields/yield_exists", :post, {yield: params})
      if resp
        response = {yield_exists: resp[:yield_exists]}
        status = :ok
      else
        response = {yield_exists: nil}
        status = :unprocessable_entity
      end
      render status: status, json: response
    rescue => err
      render status: :internal_server_error, json: {error: "unexpected error.", details: err}
    end
  end

  private

  def model_params
    params.fetch(:yield).permit(:value, :start_date, :end_date, :machine_ids => [])
  end
end

