import * as React from "react";
import {observer} from "mobx-react-lite";
import {Grid, makeStyles, Typography} from "@material-ui/core";
import {grey, red} from "@material-ui/core/colors";
import {Warning} from "@material-ui/icons";
import {t} from "@lingui/macro";

type TextBadgeProps = {
    text: string;
}

const useStyles = makeStyles((theme) => ({
    warningIcon: {
        fontSize: '1rem',
        marginRight: theme.spacing(0.5)
    },
    badge: {
        background: grey[300],
        color: red[900],
        margin: '1px',
        padding: '2px 4px',
        borderRadius: '3px',
    }
}));

export const ActionRequiredBadge: React.FunctionComponent<TextBadgeProps> = observer(({text}) => {
    const classes = useStyles();

    return (
        <div>
            <Grid container className={classes.badge} justifyContent={'center'} alignItems={'center'}>
                <Warning className={classes.warningIcon}/><div>{text}</div>
            </Grid>
        </div>
    )
})
