import * as React from "react";
import {observer} from "mobx-react-lite";
import {Grid} from "@material-ui/core";
import {BoxCoaterEventModel} from "../../../stores/BoxCoaterEventStore";
import {ActionRequiredBadge} from "./ActionRequiredBadge";
import {t} from "@lingui/macro";

type BreadModelActionBadgesProps = {
    event: BoxCoaterEventModel;
}

export const BreadModelActionBadges: React.FunctionComponent<BreadModelActionBadgesProps> = observer(({event}) => {
    if(!event.requires_operator_note && !(event.batch && event.batch.requires_lens_entry)){
        return null;
    }

    return (
        <Grid container>
            {event.requires_operator_note &&
                <Grid item>
                    <ActionRequiredBadge text={t`Performance Note Missing`}/>
                </Grid>
            }
            {event.batch && event.batch.requires_lens_entry &&
                <Grid item>
                    <ActionRequiredBadge text={t`Lens Data Missing`}/>
                </Grid>
            }
        </Grid>
    )
})
