import * as React from "react";
import {observer} from "mobx-react-lite";
import {BoxCoaterEventModel} from "../../../stores/BoxCoaterEventStore";
import {Grid, makeStyles} from "@material-ui/core";
import {BoxCoaterBatchEditForm} from "./BoxCoaterBatchEditForm";
import {BoxCoaterOperatorNoteEditForm} from "./BoxCoaterOperatorNoteEditForm";

type BoxCoaterEventFormDoorClosedProps = {
    model: BoxCoaterEventModel
}

const useStyles = makeStyles((theme) => ({
    sectionSpacing: {
        marginTop: theme.spacing(2)
    }
}));

export const BoxCoaterEvenFormDoorClosed: React.FunctionComponent<BoxCoaterEventFormDoorClosedProps> = observer(({model}) => {
    const classes = useStyles();
    return (
        <React.Fragment>
            <Grid item>
                <BoxCoaterBatchEditForm model={model}/>
            </Grid>
            <Grid item className={classes.sectionSpacing}>
                <BoxCoaterOperatorNoteEditForm model={model}/>
            </Grid>
        </React.Fragment>
    )
})
