import * as React from "react";
import {observer} from "mobx-react-lite";
import {OperatorNoteModel} from "../../stores/OperatorNoteStore";
import {EerCategoryStore} from "../../stores/EerCategoryStore";
import {makeStyles} from "@material-ui/core";

type OperatorNoteCategoryBadgeProps = {
    model: OperatorNoteModel;
}

const useStyles = makeStyles(() => ({
    badge: {
        fontWeight: 900,
        margin: '1px',
        padding: '2px 4px',
        borderRadius: '3px',
        display: 'inline-block'
    }
}));

export const OperatorNoteCategoryBadge: React.FunctionComponent<OperatorNoteCategoryBadgeProps> = observer(({model}) => {
    const classes = useStyles();

    const category = EerCategoryStore.models.find((c) => c.id === model.viewModel.eer_category_id)

    if(!category){
        return null;
    }

    return (
        <div className={classes.badge} style={{backgroundColor: category.color}}>{category.name}</div>
    )
})
