import * as React from "react";
import {observer} from "mobx-react-lite";
import {makeStyles} from "@material-ui/core";
import {grey} from "@material-ui/core/colors";
import {ColorStore} from "../../../../stores/ColorStore";

type OperatorNoteCategoryBadgeProps = {
    state: string;
}


const useStyles = makeStyles((theme) => ({
    statusOrb: {
        margin: theme.spacing(1),
        marginRight: theme.spacing(2),
        marginLeft: 0,
        height: '80px',
        width: '80px',
        borderRadius: '40px'
    },
}));

export const MachineStateIndicatorDot: React.FunctionComponent<OperatorNoteCategoryBadgeProps> = observer(({state}) => {
    const classes = useStyles();

    const color_model = ColorStore.models.find(c => c.status_name === state.toUpperCase())
    let color = color_model ? color_model.color : grey[400];

    return (
        <div className={classes.statusOrb} style={{backgroundColor: color}}/>
    )
})
