import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineStore} from "../../stores/MachineStore";
import {TextBadge} from "./TextBadge";

type MachineNameBadgeProps = {
    machineId: number;
}

export const MachineNameBadge: React.FunctionComponent<MachineNameBadgeProps> = observer(({machineId}) => {
    const machine = MachineStore.models.find(m => m.id === machineId);

    if(!machine){
        return null;
    }

    return (
        <TextBadge text={machine.extendedName}/>
    )
})
