import * as React from "react";
import {observer} from "mobx-react-lite";
import {SelectFieldProps} from "@rx-suite/ui/lib/components/base/SelectField";
import {ModelSelect} from "@rx-suite/ui";
import {DataStore, Model} from "@rx-suite/data";

type ModelInputProps = {
    name: string,
    store: DataStore<Model>
} & Omit<SelectFieldProps, 'value' | 'onChange' | 'disabled'>

export const ModelSelectRxDataMachine: React.FunctionComponent<ModelInputProps> = observer(({store, ...props}) => {

    return (
        <ModelSelect disabled={store.isLoading} {...props}/>
    )
})
