import * as React from "react";
import {FormProps, ModelForm, ModelInput} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {EerCategoryColorPicker} from "../../components/eer_category/EerCategoryColorPicker";

export const EerCategoryForm: React.FunctionComponent<FormProps> = observer(({model}) => {

    return (
        <ModelForm model={model} suppressMakeCopy suppressImportExport>
            <ModelInput name={'name'}/>
            <ModelInput name={'report_code'} disabled/>
            <EerCategoryColorPicker model={model}/>
        </ModelForm>
    )
})
