import * as React from "react";
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro"
import {EerTrackingStationModel, EerTrackingStationStore} from "../../../stores/EerTrackingStationStore";
import {EerTrackingStationForm} from "./EerTrackingStationForm";
import {MachineStore} from "../../../stores/MachineStore";
import {MachineNameBadge} from "../../../components/generic/MachineNameBadge";

export const EerTrackingStationsBreadModel = () => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Station Name`, 'string'),
            {
                Header: t`Machine`,
                id: 'rx_data_machine_id',
                accessor: (model: EerTrackingStationModel) => model,
                Cell: (cellInfo: { value: EerTrackingStationModel }) => {
                    return <MachineNameBadge machineId={cellInfo.value.rx_data_machine_id}/>
                },
                filterable: false,
                sortable: false,
            }
        ]
    }, [MachineStore.models])

    return (
        <BreadModel store={EerTrackingStationStore} Form={EerTrackingStationForm} columns={columns}/>
    )
}