import * as React from "react";
import {FormProps, ModelForm, ModelInput} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {OperatorNotesBreadModel} from "../../components/operator_notes/OperatorNotesBreadModel";
import {t} from "@lingui/macro";

export const OperatorNoteGroupForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    return (
        <ModelForm model={model} suppressMakeCopy suppressImportExport>
            <ModelInput label={t`Note Group Name`} name={'name'}/>
            <ModelInput label={t`Group Code`} name={'group_code'} disabled={!model.isNew}/>
            {!model.isNew &&
                <OperatorNotesBreadModel model={model}/>}
        </ModelForm>
    )
})
