import * as React from "react";
import {BreadModel, makeColumn, ModelTableDeleteButton} from "@rx-suite/ui";
import {OperatorNoteGroupStore} from "../../stores/OperatorNoteGroupStore";
import {OperatorNoteGroupForm} from "./OperatorNoteGroupForm";
import {t} from "@lingui/macro"
import {EerCategoryStore} from "../../stores/EerCategoryStore";

export const OperatorNoteGroupsBreadModel = () => {
    EerCategoryStore.getAll();

    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Note Group`, 'string'),
        ]
    }, [])

    return (
        <BreadModel
            store={OperatorNoteGroupStore}
            Form={OperatorNoteGroupForm}
            columns={columns}
            tableProps={
                {
                    replacementActions: {
                        Delete: (row) => {
                            if (row.model.system_default) {
                                return null;
                            }
                            return <ModelTableDeleteButton store={row.store} model={row.model}/>
                        }
                }
            }}
        />
    )
}