import {attribute, Model, model} from "@rx-suite/data";
import {t} from "@lingui/macro"
import * as React from "react";
import {computed} from "mobx";
import {TimeModel, TimeStore} from "@rx-suite/stores";
import moment from "moment";

@model({})

export class BoxCoaterBatchModel extends Model {
    @attribute()
    id: number = 0;

    @attribute()
    batch_id: string | null = null

    @attribute()
    lens_count: number | null = null;

    @attribute()
    empty_holes_count: number | null = null;

    @attribute()
    crystal_life: string | null = null;

    @attribute({label: t`Time`})
    time: Date = new Date();

    @computed
    get requires_lens_entry() {
        return !(this.lens_count && this.empty_holes_count)
    }

    constructor() {
        super();
        super.setup();
    }
}