import {attribute, DataStore, model, Model} from "@rx-suite/data";
import * as yup from 'yup';
import {t} from "@lingui/macro";
import {computed} from "mobx";

// This store proxies the same store in Rx-Data and doesn't actual allow editing of any models.
@model({
    eager: true,
    transportLayer: "/api/colors"
})

export class ColorModel extends Model {
    @attribute()
    status_name: string = "";

    @attribute()
    color: string = "";

    constructor() {
        super();
        super.setup();
    }
}

export const ColorStore = ColorModel.store as DataStore<ColorModel>;