import {attribute, DataStore, Model, model} from "@rx-suite/data";
import * as yup from "yup";
import {t} from "@lingui/macro"

@model({
    transportLayer: "/api/eer_categories",
    permissionTarget: "EerCategory",
    routingInfo: {
        list: '/settings/eer_categories',
        read: '/settings/eer_categories/:id/edit',
        update: '/settings/eer_categories/:id/edit'
    }
})

export class EerCategoryModel extends Model {
    @attribute({label: t`Id`, validation: yup.number()})
    id: number = 0;

    @attribute({label: t`Reporting Name`, validation: yup.string().min(3)})
    name: string = '';

    @attribute({label: t`Reporting Code`, validation: yup.string().min(3)})
    report_code: string = '';

    @attribute({label: t`Color`, validation: yup.string()})
    color: string = '#3BCADD';

    constructor() {
        super();
        super.setup();
    }
}

export const EerCategoryStore = EerCategoryModel.store as DataStore<EerCategoryModel>;