import {attribute, DataStore, Model, model} from "@rx-suite/data";
import * as yup from "yup";
import {t} from "@lingui/macro"

@model({
    transportLayer: "/api/operator_note_groups",
    permissionTarget: "OperatorNoteGroup",
    routingInfo: {
        list: '/settings/operator_note_groups/',
        create: '/settings/operator_note_groups/create',
        read: '/settings/operator_note_groups/:id/edit',
        update: '/settings/operator_note_groups/:id/edit'
    }
})

export class OperatorNoteGroupModel extends Model {
    @attribute({label: t`Id`, validation: yup.number()})
    id: number = 0;

    @attribute({label: t`Name`, validation: yup.string().min(3)})
    name: string = '';

    @attribute({label: t`Group Code`, validation: yup.string()})
    group_code: string = "";

    @attribute()
    system_default: boolean = false;

    constructor() {
        super();
        super.setup();
    }
}

export const OperatorNoteGroupStore = OperatorNoteGroupModel.store as DataStore<OperatorNoteGroupModel>;