# == Schema Information
#
# Table name: operator_notes
#
#  id                     :bigint           not null, primary key
#  code                   :string           not null
#  description            :string
#  display_group          :integer
#  eer_category_id        :bigint
#  operator_note_group_id :bigint
#
# Indexes
#
#  index_operator_notes_on_eer_category_id         (eer_category_id)
#  index_operator_notes_on_operator_note_group_id  (operator_note_group_id)
#
class OperatorNote < ApplicationRecord
  belongs_to :operator_note_group
  belongs_to :eer_category

  enum display_group: %i[both closed open]
  
  def resolved_category
    return eer_category unless eer_category.nil?

    EerCategory.find_by(report_code: 'unknown')
  end
end
