module OperatorNotes
  class OperatorNotes
    class << self
      def seed
        p 'Setting up Operator Note categories...'
        OperatorNoteCategories.instantiate_all
        p 'Setting up EER categories [DONE]'

        p 'Setting up Operator Note Groups...'
        OperatorNoteGroups.instantiate_all
        p 'Setting up Operator Note Groups [DONE]'

        p 'Setting up Operator Notes...'
        instantiate_all
        p 'Setting up Operator Notes [DONE]'
      end

      def instantiate_all

        planned_group = OperatorNoteGroup.find_by(group_code: 'planned')
        breakdown_group = OperatorNoteGroup.find_by(group_code: 'breakdown')

        programmed_prod_stop_category = EerCategory.find_by(report_code: 'programmed_stop')

        OperatorNote.create_with(eer_category: programmed_prod_stop_category, operator_note_group: planned_group, display_group: 'both', description: 'Lenses short from HC').find_or_create_by(code: 'WLH')
        OperatorNote.create_with(eer_category: programmed_prod_stop_category, operator_note_group: planned_group, display_group: 'both', description: 'Lenses short from planning').find_or_create_by(code: 'WLP')
        OperatorNote.create_with(eer_category: programmed_prod_stop_category, operator_note_group: planned_group, display_group: 'both', description: 'No plan').find_or_create_by(code: 'NOP')
        OperatorNote.create_with(eer_category: programmed_prod_stop_category, operator_note_group: planned_group, display_group: 'both', description: 'Material Shortage').find_or_create_by(code: 'MTS')

        breakdown_machine_category = EerCategory.find_by(report_code: 'breakdown_machine')

        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Quartz').find_or_create_by(code: 'QTZ')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Ion gun').find_or_create_by(code: 'ION')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'EBG').find_or_create_by(code: 'EBG')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Polycold').find_or_create_by(code: 'PLC')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'CPU').find_or_create_by(code: 'CPU')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Crucible').find_or_create_by(code: 'CRB')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Shutter').find_or_create_by(code: 'SHT')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Thermal Evaporator').find_or_create_by(code: 'THE')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'High Voltage').find_or_create_by(code: 'HVT')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Pump').find_or_create_by(code: 'PUP')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Leak').find_or_create_by(code: 'LEK')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Auto Shutdown').find_or_create_by(code: 'ASD')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Others - machine breakdown').find_or_create_by(code: 'OTH')

        breakdown_machine_category = EerCategory.find_by(report_code: 'breakdown_utility')

        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Power').find_or_create_by(code: 'UTP')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Water').find_or_create_by(code: 'UTW')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Compressed Air').find_or_create_by(code: 'UTC')
        OperatorNote.create_with(eer_category: breakdown_machine_category, operator_note_group: breakdown_group, display_group: 'both', description: 'Others - utility breakdown').find_or_create_by(code: 'UTO')

        maintenance_pm_category = EerCategory.find_by(report_code: 'maintenance_usual_pm')

        OperatorNote.create_with(eer_category: maintenance_pm_category, operator_note_group: planned_group, display_group: 'both', description: 'Big PM (Yearly)').find_or_create_by(code: 'PMB')
        OperatorNote.create_with(eer_category: maintenance_pm_category, operator_note_group: planned_group, display_group: 'both', description: 'Big PM (Daily)').find_or_create_by(code: 'PML')
        OperatorNote.create_with(eer_category: maintenance_pm_category, operator_note_group: planned_group, display_group: 'both', description: 'Others - PM').find_or_create_by(code: 'PMO')

        maintenance_daily_category = EerCategory.find_by(report_code: 'maintenance_usual_daily')

        OperatorNote.create_with(eer_category: maintenance_daily_category, operator_note_group: planned_group, display_group: 'both', description: 'Daily Cleaning - Shield Change').find_or_create_by(code: 'UDC')
        OperatorNote.create_with(eer_category: maintenance_daily_category, operator_note_group: planned_group, display_group: 'both', description: 'Degassing - Leak Test').find_or_create_by(code: 'UDL')
        OperatorNote.create_with(eer_category: maintenance_daily_category, operator_note_group: planned_group, display_group: 'both', description: 'Caking').find_or_create_by(code: 'UCA')

        idle_time_open_category = EerCategory.find_by(report_code: 'idle_time_open')

        OperatorNote.create_with(eer_category: idle_time_open_category, operator_note_group: planned_group, display_group: 'open', description: 'Chemical Loading').find_or_create_by(code: 'DFM')
        OperatorNote.create_with(eer_category: idle_time_open_category, operator_note_group: planned_group, display_group: 'open', description: 'Waiting Segment loading').find_or_create_by(code: 'WSL')
        OperatorNote.create_with(eer_category: idle_time_open_category, operator_note_group: planned_group, display_group: 'open', description: 'Quartz Change').find_or_create_by(code: 'QTC')
        OperatorNote.create_with(eer_category: idle_time_open_category, operator_note_group: planned_group, display_group: 'open', description: 'Shutter & Protector Change').find_or_create_by(code: 'SHC')
        OperatorNote.create_with(eer_category: idle_time_open_category, operator_note_group: planned_group, display_group: 'open', description: 'Other - Door Open').find_or_create_by(code: 'ODP')

        idle_time_wait_category = EerCategory.find_by(report_code: 'idle_time_wait')

        OperatorNote.create_with(eer_category: idle_time_wait_category, operator_note_group: planned_group, display_group: 'both', description: 'WAS Waiting Assembly').find_or_create_by(code: 'DWA')
        OperatorNote.create_with(eer_category: idle_time_wait_category, operator_note_group: planned_group, display_group: 'both', description: 'Door Opening at the same time').find_or_create_by(code: 'DOT')
        OperatorNote.create_with(eer_category: idle_time_wait_category, operator_note_group: planned_group, display_group: 'both', description: 'Break Time').find_or_create_by(code: 'BRT')
        OperatorNote.create_with(eer_category: idle_time_wait_category, operator_note_group: planned_group, display_group: 'both', description: 'Waiting for Blower').find_or_create_by(code: 'WFB')
        OperatorNote.create_with(eer_category: idle_time_wait_category, operator_note_group: planned_group, display_group: 'both', description: 'New comer').find_or_create_by(code: 'NCM')
        OperatorNote.create_with(eer_category: idle_time_wait_category, operator_note_group: planned_group, display_group: 'both', description: 'Others - waiting time').find_or_create_by(code: 'IOT')

        production_setup_category = EerCategory.find_by(report_code: 'production_setup')

        OperatorNote.create_with(eer_category: production_setup_category, operator_note_group: planned_group, display_group: 'both', description: 'Process Change - Test run').find_or_create_by(code: 'PCC')
        OperatorNote.create_with(eer_category: production_setup_category, operator_note_group: planned_group, display_group: 'both', description: 'Color Issue - Test run').find_or_create_by(code: 'COL')
        OperatorNote.create_with(eer_category: production_setup_category, operator_note_group: planned_group, display_group: 'both', description: 'Other - Test run').find_or_create_by(code: 'OTR')

        speed_loss_category = EerCategory.find_by(report_code: 'speed_loss')

        OperatorNote.create_with(eer_category: speed_loss_category, operator_note_group: planned_group, display_group: 'both', description: 'Slowdowns - Alarms').find_or_create_by(code: 'SDA')
        OperatorNote.create_with(eer_category: speed_loss_category, operator_note_group: planned_group, display_group: 'both', description: 'Slowdowns - Pumping Loss').find_or_create_by(code: 'SDP')
        OperatorNote.create_with(eer_category: speed_loss_category, operator_note_group: planned_group, display_group: 'both', description: 'Slowdowns - Quartz Failure').find_or_create_by(code: 'SDQ')
        OperatorNote.create_with(eer_category: speed_loss_category, operator_note_group: planned_group, display_group: 'both', description: 'Others - speed loss').find_or_create_by(code: 'OTS')
      end
    end
  end
end
