Rails.configuration.after_initialize do # once Rails has loaded everything
  RxModule::Environment.run_site do
    RxModule::Communicator.call_module_method('rx_data', '/api/register_as_eer_lab', :patch)
    RxModule::Communicator.call_module_method('rx_data', '/api/register_push_targets', :post, {
      push_target: {
        app: 'rx_eer',
        machine_state: '/api/machine_states/update_machine_state',
        box_coater_event: '/api/eer_tracking_stations/update_ongoing_event'
      }
    })
  rescue => e
    Rails::logger.warn "Failed to setup push targets with Rx-Data. Error: #{e}"
  end
end