Rails.application.routes.draw do
  mount RxModule::Engine => '/api/rx_module'

  scope :api do
    resources :eer_tracking_stations do
      member do
        get 'coater_current_state'
        put 'engineering_lockout' => 'eer_tracking_stations#engineering_lockout'
      end
      collection do
        post 'update_ongoing_event'
      end
    end
    resources :eer_categories
    resources :operator_note_groups
    resources :operator_notes
    resources :box_coater_recipes, only: %i[index]
    resources :box_coater_events, only: %i[show update index]
    resources :yields do
      collection do
        post 'yield_exists'
      end
    end

    # Proxy resources (Rx-Data)
    resources :machines, only: [:index]
    resources :machine_states, only: [:index] do
      collection do
        post 'update_machine_state'
      end
    end
    resources :colors, only: [:index]
    end

  root '/', controller: :index, action: :show, as: :index_show
  match '*path' => 'index#show', via: :all
end
