# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2021_10_27_161850) do

  create_table "delayed_jobs", force: :cascade do |t|
    t.integer "priority", default: 0, null: false
    t.integer "attempts", default: 0, null: false
    t.text "handler", null: false
    t.text "last_error"
    t.datetime "run_at"
    t.datetime "locked_at"
    t.datetime "failed_at"
    t.string "locked_by"
    t.string "queue"
    t.datetime "created_at", precision: 6
    t.datetime "updated_at", precision: 6
    t.index ["priority", "run_at"], name: "delayed_jobs_priority"
  end

  create_table "eer_categories", force: :cascade do |t|
    t.string "name"
    t.string "color"
    t.integer "report_code"
  end

  create_table "eer_tracking_stations", force: :cascade do |t|
    t.string "name"
    t.integer "door_open_max_time", null: false
    t.integer "door_closed_max_time", null: false
    t.bigint "rx_data_machine_id", null: false
    t.string "machine_sn"
  end

  create_table "operator_note_groups", force: :cascade do |t|
    t.string "name"
    t.string "group_code"
    t.boolean "system_default", default: false
  end

  create_table "operator_notes", force: :cascade do |t|
    t.string "code", null: false
    t.string "description"
    t.integer "display_group"
    t.bigint "operator_note_group_id"
    t.bigint "eer_category_id"
    t.index ["eer_category_id"], name: "index_operator_notes_on_eer_category_id"
    t.index ["operator_note_group_id"], name: "index_operator_notes_on_operator_note_group_id"
  end

  create_table "recipes", force: :cascade do |t|
    t.string "name"
    t.string "code", null: false
    t.integer "processing_time", null: false
    t.bigint "eer_tracking_machine_id"
    t.index ["eer_tracking_machine_id"], name: "index_recipes_on_eer_tracking_machine_id"
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "station_operator_note_groups", force: :cascade do |t|
    t.bigint "eer_tracking_station_id"
    t.bigint "operator_note_group_id"
    t.index ["eer_tracking_station_id"], name: "index_station_operator_note_groups_on_eer_tracking_station_id"
    t.index ["operator_note_group_id"], name: "index_station_operator_note_groups_on_operator_note_group_id"
  end

  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
end
